Motifake
politics
epic fail
military funny
stupid human
ufo
MAD
politifake

Comment on this Politifake


Annoy A Conservative: Use Facts & Logic

Creator: vbattaile












 Comment using Facebook




terroraustralis - August 22, 2013, 8:12 am,
when was the last time 3 white guys murdered an african american because they were bored?
Ron2 - August 22, 2013, 3:25 pm,
Have you seen some of the tweets? No, those three boys committed a hate crime plain as can be. Where are the race warlords now? That is right, like so many other slayings like this one they are quiet.
foxrecon19d - August 22, 2013, 5:38 pm,
So if George Zimmerman gunned down Thugmon Martin because he was bored, that would have been fine. Facts and logic, baby! Facts and logic
JGalt - August 22, 2013, 11:24 pm,
what a useless and irrelevant point to make about a story that the media wants to sweep under the rug, Keep up the red herrings Vik
crankyhead - August 23, 2013, 10:47 am,
*WARNING: LOGIC AHEAD* Kind of hard to play the race card when the perpetrators aren't all of the same ethnic background.
StoneTools - August 23, 2013, 11:20 am,
WARNING: CORRECTION TO CRANKY "LOGIC" AHEAD* The two that actually committed the murder were black, the driver was not. Therefore, according to crankyland, it can't be a racist crime.
crankyhead - August 23, 2013, 11:26 am,
Edwards and Luna are being charged with murder. Jones is being charged as an accessory to murder. Simple enough to understand, or are you still trying to show off that monopoly of yours?
StoneTools - August 23, 2013, 2:21 pm,
and do you know the difference between murder and accessory to murder?
crankyhead - August 24, 2013, 11:46 am,
Yes I know the difference, do you? Are you aware that the word 'murder' is included in the term 'accessory to murder'? You understand he isn't being charged as an accessory to puppydogs, lollipops and b***erflies, right?
StoneTools - August 23, 2013, 2:22 pm,
Here's another with 2 blacks beating a white world war II vet to death: http://www.kxly.com/news/spokane-news/elderly-man-dies-after-being-attacked-outside-ice-arena/-/101214/21574858/-/9flm7iz/-/index.html
crankyhead - August 24, 2013, 11:49 am,
Tragic, but what does this have to do with what we're talking about?
StoneTools - August 24, 2013, 2:17 pm,
that's easy: I just wanted to see if you would say something stupid like ... but there was a white guy in a car 3 blocks away, so it couldn't be a racist crime
StoneTools - August 24, 2013, 6:26 pm,
ch, shouldn't you be more interested in stupid canadian discrimination like this: http://www.ndtv.com/article/india/toronto-bar-fined-for-racial-discrimination-against-indo-canadians-407052
StoneTools - August 24, 2013, 6:45 pm,
By the way, how many blacks or asians have been members of the canadian government? How many women? How many minority prime ministers has canada had? How many minority governors?
StoneTools - August 24, 2013, 6:46 pm,
How many women have been prime ministers of canada? How many have been provincial governors?
Mooooooooooooooooooo - August 24, 2013, 7:57 pm,  
We've had 10 female premiers (remember. we only have 10 provinces and 3 territories compared to your 50 states) We've had one female prime minister. How many female presidents have you had?
Mooooooooooooooooooo - August 24, 2013, 8:01 pm,  
Also 3 female governor generals. innumerable minorities in government, especially first nations people.....Any other questions?
Mooooooooooooooooooo - August 24, 2013, 8:03 pm,  
Rip on Cranky all you want, but don't forget that there are many Canadians on the Motinetwork and several of them are mods.
Mooooooooooooooooooo - August 24, 2013, 8:21 pm,  
Oh, And the article you linked shows the pathetic behaviour of one individual. It doesn't speak to the mindset of the average Canadian.
WTFO - August 24, 2013, 10:27 pm,
Moo+! I thought you avoided this place? I guess if I want to talk with you here, I have to insult Canada? Nah, I know too many good people from there (other politifakers excluded). Besides, LOVE ME SOME MOOSE MILK!
WTFO - August 24, 2013, 10:33 pm,
Also, would Canada's premiers be the equivalent of our state governors? If so, I think our # of females is @ 36. But to me, qualifications and honor matter, not gender or race. Maybe the liberals in the US will reach that conclusion some day. Take care.
Mooooooooooooooooooo - August 24, 2013, 10:53 pm,  
I agree about the qualifications and honour (correct spelling of honour :)) But I did point out that you have 50 tiny states while we have 13 enormous provinces and territories, so you should have about 4 times as many as us. Cheers my old frenemy.
crankyhead - August 26, 2013, 8:14 am,
That wasn't milk.
StoneTools - August 26, 2013, 8:59 am,
Funny how cranky denigrates the US and you stand idly by, question canada and you jump right into it?!? More to the point, is the number of black prime ministers. We can now say that we've had one, a crappy one, but we had one. Yet non-us citizens call
StoneTools - August 26, 2013, 9:00 am,
us racist, but those countries can't list a single black prime minister/president/whatever of their country.
Renza - August 26, 2013, 9:04 am,
It probably doesn't help that certain groups... specifically one commonly a**ociated with racism (the GOP) was calling him an incompetent president with failed policies on the first day. or the ridiculous amount of focus our country puts on race...
StoneTools - August 26, 2013, 9:11 am,
You mean like the way the gop called clinton and carter failed presidents who are incompetent on their first day in office?
StoneTools - August 26, 2013, 9:12 am,
or the way the dems did the same thing to reagan and bush?
StoneTools - August 26, 2013, 9:12 am,
Wouldn't that be the pot calling the kettle black?
StoneTools - August 26, 2013, 9:16 am,
besides, the dems are the racists: KKK, Robert Byrd, trying to vote down the civil rights act,etc.
StoneTools - August 26, 2013, 9:17 am,
I meant filibuster and vote down
Renza - August 26, 2013, 9:33 am,
When's the last time you actually saw a pot that was black? Back to the matter at hand, while clearly your argument of "we're not racist, you're racist" had a lot of thought put into it... it's pretty empty. why not reference the Spanish inquisition?
StoneTools - August 26, 2013, 9:40 am,
You mean the same argument that you just used? Now THAT's funny!
StoneTools - August 26, 2013, 9:52 am,
http://commons.wikimedia.org/wiki/File:Black-pot.jpg
Renza - August 26, 2013, 10:04 am,
That would be a ph**o of a black pot, I imagine I don't need to explain the difference between seeing something and seeing a ph**o of something.
Renza - August 26, 2013, 10:07 am,
As for my argument, given your grasp of English seems lacking, my argument is that the US as a whole is still fairly racist, and that the GOP is widely a**ociated with said racism, and that they're quick to jump to conclusions, without information at that
StoneTools - August 26, 2013, 11:52 am,
Oh, gosh! A ph**o of something isn't proof that the something exists. Now that's really rich. Are you still in that school for the mentally imbalanced? And are you still taking the English for Non-native speakers class?
StoneTools - August 26, 2013, 11:53 am,
or was that English as a second language class. You know, the one that you and cranky failed a couple of times already.
OTC - August 26, 2013, 1:06 pm,
"GOP...quick to jump to conclusions, without information at that" You mean like (black) obama stating the (white) cop "acted stupidly"? Or suggesting if Trayvon had been white the results would have been different? Oh wait, he's not GOP
StoneTools - August 26, 2013, 1:11 pm,
Renza is as guilty as the rest of them for following the MSLSD lead and cherry picking made up data (e.g. the GOP wants dirty air and water, etc)
crankyhead - August 26, 2013, 8:00 pm,
I've never spoken ill of your country ST, nor would I. Some of it's citizens, on the other hand, should probably grow up a little. Lookin' at you.
StoneTools - August 26, 2013, 11:23 pm,
When you crapped on the soldiers at fort hood that were the victims of hasan, you crapped on my country. Claiming that hasan was surround by heavily armed soldiers was a total insult to those soldiers - that's why I've been hounding you about your
StoneTools - August 26, 2013, 11:24 pm,
cheap liberal trash talk. The victims deserved far better than the **** you put out about them. You really should consider a job with MSLSD
Renza - August 26, 2013, 11:47 pm,
Yeah, I hear there's plenty of ph**os out there of bigfoot, aliens, ufo's, the lach ness monster, and republicans hanging out with minorities for reasons other than publicity, have you actually seen any of these things in person?
Renza - August 26, 2013, 11:49 pm,
Thats crazy talk thinking I cherry pick data, when's the last time I've given "data", I just make you think I have, by providing a little logic here and there, and then let you run around on your crazy paranoia and anti whatever it is you think I said.
Renza - August 26, 2013, 11:50 pm,
always jumping to conclusions OTC, you seem to think I'm defending someone rather than pointing out the reality of the GOP, it's pretty easy getting the right wing to jump when you point it out to them
StoneTools - August 27, 2013, 9:09 am,
I've never accused you of using either facts or data, just your liberal hallucinations and distortions. If MSLSD or media splatters says something, to you it's gospel.
StoneTools - August 27, 2013, 9:11 am,
the truth of the matter is you are a hardcore lib which means that the truth evades you because you are stuck in an mslsd world of make believe and distortion. You continuously defend obama, yet claim you don't.
Renza - August 27, 2013, 10:42 am,
you claimed I used data like 1 comment ago, your grip on reality is fading, or your denial of it is getting stronger... you're paranoia is the only reason it appears I defend obama, I just find it fun to point out the fail that is the right wing
StoneTools - August 27, 2013, 11:20 am,
I claimed you used made up data, not data - data implies facts, you don't live in a world where real facts matter, just the made up or edited crap that mslsd spews. Talk about a fail, you might want to look inward before you accuse anyone else of it.
crankyhead - August 27, 2013, 1:41 pm,
You're a complete moron if you think that because I discussed a few Americans, that I'm passing a sweeping judgement on America. I wouldn't argue in favor of a fallacy of composition.
crankyhead - August 27, 2013, 1:44 pm,
Nor, unlike you StoneTool, would I parade my obvious bigotry and xenophobia around, like it's some banner for other like minded idiots to rally behind. You wanna take strips off of me, go ahead, I got no issue putting you in your place, daily. But...
crankyhead - August 27, 2013, 1:45 pm,
for the sake of your own credibility around here, stop it with the nonsense. You're only making yourself look bad.
StoneTools - August 27, 2013, 4:39 pm,
au contraire, you parade your bigotry and ignorance every time you make a posting on this site. So, I would advise you not to post your stupidity any more so that your father can get over the embarrassment of having made you.
Renza - August 27, 2013, 9:01 pm,
I understand the confusion, its a very common side effect found in those who align with the right wing, but data and facts are not in fact the same thing, and data does not actually imply facts by nature, it's just something followers tend to a**ume.
StoneTools - August 28, 2013, 12:48 am,
wow, point out where I stated that facts and data are one and the same. Yeah, I knew you couldn't. Your hallucinations are getting worse renza, you might want to go back into rehab and not run away this time.
Renza - August 28, 2013, 12:54 am,
I believe the quote from just a couple comments up is "data implies facts" that would be where I got you saying data implies facts from. You know that whole completing thoughts thing we were talking about? You should really try it, or read what you write
StoneTools - August 28, 2013, 12:59 am,
you know that's not what I meant, but carry on, this thread is getting really funny watching you spin like a top.
Renza - August 28, 2013, 4:16 am,
It's not hard to figure out what you ultimately mean, you don't want to admit to the racism in the groups you a**ociate yourself with, but don't have a legitimate way to deny it other than pointing the finger at "the other guy"
Renza - August 28, 2013, 4:20 am,
Though you could of course reference things that took place 50+ years ago, but that really doesn't actually help the argument against something contemporary.
StoneTools - August 28, 2013, 11:11 am,
Racism is alive and well in the democrat party. They do it in a sneaky way by getting the people addicted to hand outs - it's the new plantation fostered by the liberal agenda and backed by the bought and paid for congressmen and media.
StoneTools - August 28, 2013, 11:13 am,
why is it that libs are allowed to go back to the days of bush (who really does deserve it) to trash talk, but if anyone goes beyond that, it's "That's no fair" waaaaaah
StoneTools - August 28, 2013, 11:18 am,
50+ years? Robert Byrd, a high ranking member of the KKK, was the longest serving senator in US history. He died in office in 2010 (not 50+ years ago) and he was a DEMOCRAT SENATOR
crankyhead - August 28, 2013, 11:58 am,
Said the dimwitted little ideologue, who is clearly more interested in defaming my homeland and my family, than he is in debating my politics and ideas. On a political website, no less.
crankyhead - August 28, 2013, 12:07 pm,
Racism is alive and well in the Republican party as well. This does not imply that every republican is a racist though. If you were capable of rational thought, ST, I wouldn't have to explain this to you. But alas, here we are.
Renza - August 28, 2013, 8:25 pm,
Dunno, I like implying all republicans are racist, because 90% of them get all hyper defensive about it, which basically acknowledges that either they are in fact racist, or at least on some level believe that they might be. the rest just ignore it
Renza - August 28, 2013, 8:27 pm,
If you want contemporary acts, how's rand paul (think it was him) saying that he's crazy and stupid for getting in a room full of black people? Racism's all over, referencing things half a century old is about as valid as rome. at least use jessy jackson
StoneTools - August 29, 2013, 10:18 am,
looks like you are the one that got all defensive since you are probably a member of that democratic institution, the KKK. I notice how you don't ignore comments about how racist you and the rest of the dems are.
StoneTools - August 29, 2013, 10:19 am,
what comment are you referencing? Or are your hallucinations getting the best of you again?
StoneTools - August 29, 2013, 10:19 am,
what comment are you referencing? Or are your hallucinations getting the best of you again?
StoneTools - August 29, 2013, 2:04 pm,
with you, there is no debate, there's just trying to bring speech way down to your level - to an almost guttural, cave man type language.
Renza - August 29, 2013, 7:32 pm,
We're always in the middle of a thread when you bring it up because that's the only thing you can ever think of to say when you feel the need to defend the racist fundamentalist homophobes that form the GOP, I couldn't care less about the dem party
StoneTools - August 29, 2013, 8:11 pm,
That's because I don't defend the GOP and am not a republican, I just hate liberals because of their sheer stupidity. Any party which would have crankyhead as a member is a party of ignorance.
StoneTools - August 29, 2013, 8:13 pm,
You toe the dem party line and claim you don't. Are you related to papafox by any chance? You could be his mental siamese twin.
Renza - August 29, 2013, 8:39 pm,
So, if you don't affiliate yourself with the GOP why do you care when it's pointed out that they are closely a**ociated with racism and homophobia?
StoneTools - August 30, 2013, 12:37 am,
It's a matter of calling you out on the same faults that you accuse others of.
WTFO - September 6, 2013, 1:05 am,
To add some facts/evidence to the discussion (something most liberals can't stand) on which party is institutionally racist: http://www.politifake.org/forum/viewtopic.php?f=30&t=9533. Fact is the Dems are the party of racism. Always have been/still are.
Renza - September 6, 2013, 4:00 am,
So you're referencing a blatant right-wing website as a factual source information without bias. That specifically only includes statements supportive only of republicans or anti democrat, without referencing any sources for the statements. sounds legit.
StoneTools - September 6, 2013, 8:53 am,
You make that statement, yet you post items from the comedy channel in support of your arguments? Hypocrite!
Renza - September 6, 2013, 9:00 am,
You're thinking of someone else, it's incredibly rare for me to link something like that. Then again, you still don't know the difference between referencing an argument/idea and referencing facts... or the difference in facts, statements, and information
StoneTools - September 6, 2013, 11:57 am,
rare still implies that you do it. Stop squirming.
crankyhead - September 6, 2013, 3:22 pm,
Lori Saine is a republican serving in Colorado who brought a box of fried chicken to the legislature, as a form of silent protest, in order to support her claim that BBQ, and fried chicken are responsible for the economic disparity that exists between...
crankyhead - September 6, 2013, 3:24 pm,
...various ethnic groups in her state. Did I mention she's a republican? Oh yeah, I did.
crankyhead - September 6, 2013, 3:25 pm,
Maybe it's time to reassess your awfully narrow world view, WTFO.
StoneTools - September 6, 2013, 4:11 pm,
Hey, renza, can you explain the reasoning behind having a ph**o on your driver's license?
WTFO - September 6, 2013, 5:54 pm,
Renza, there were multiple facts and cases of evidence (including historical facts easily verified). Maybe if you had some testicular fortitude you could prove them wrong. Oh wait, you'd have to have facts on your side for that. You fail.
WTFO - September 6, 2013, 5:59 pm,
You must have forgotten, idiot trolls don't deserve my time.
WTFO - September 6, 2013, 6:04 pm,
You proved why with these 3 posts, cranky. Instead of attempting to discuss ALL the evidence/facts that prove institutional racism in Dems, you find 1 Rep doing something wrong. Deflect much? BTW, she denies the charge. Says it was lunch not a protest.
WTFO - September 6, 2013, 6:06 pm,
But I'm sure you can know for certain what she was thinking. It's your awfully narrow world view that shows your ignorance. I follow truth. Sucks to be you. BTW, that is my obligatory annual explaination of your stupidity. See you next year trollboy.
WTFO - September 6, 2013, 6:09 pm,
Nope, it's easier for liberals like you Renza to dismiss the multiple websites I referenced as Rep instead of actually defending your position. I defended the side of truth. Where's your evidence? What sites do you reference?
Renza - September 6, 2013, 6:30 pm,
You don't seem to understand how things work, if you can't provide any evidence for your own statement, it's worthless. It's easier to spout Random crap than look into what your saying though isn't it wtfo?
Renza - September 6, 2013, 7:28 pm,
it implies it yes, doesn't mean its actually happened. You seem pretty obsessed on trying to make me into a hypocrite, you mad cause I pointed out your buddy's site is a load of unfounded garbage?
crankyhead - September 6, 2013, 9:52 pm,
Two things: If you're responding to me, you're admitting I'm worth your time. (Oops, stupid logic always ruinin' WTFO's fun!) Secondly, it's nice to see you can be so easily tricked into defending racism, in a conversation where your stated position...
crankyhead - September 6, 2013, 9:55 pm,
...does not reflect your reactionary attitudes. You obviously don't care about racism, only about hawking your political narrative. Good to know.
WTFO - September 7, 2013, 12:25 am,
Actually Renza, I defended my sources. View the link I posted (it's in the forums) and learn the truth that libs and Dems are institutionally racist. Not trying to make anyone into a hypocrite. Don't know you very well yet (or StoneTools for that matter)
WTFO - September 7, 2013, 12:28 am,
I did think that your critique of a "blatant right-wing website" was aimed at my post. My apologies if it wasn't. I use facts/logic to back up my positions. I look at all sides and find the truth. I'm interested in your thoughts in that forum.
WTFO - September 7, 2013, 12:30 am,
A piece of advice from one of the longest politifakers; don't become an ignorant troll like cranky. All he does is spew BS and cry when his lies gets sh** down with facts. I'd enjoy an honest respectful debate on topics and facts. Libs have failed so far.
crankyhead - September 7, 2013, 6:28 pm,
The only FACT being omitteed is that you willfully shilled for a racist, in this thread, because of what party she belongs to. If you're going to continue bandying about the idea that you're interested in an honest debate, then prove it, and have one.
StoneTools - September 8, 2013, 1:06 am,
speaking of honesty, cranky, where the name from the list of soldiers who were carrying a**ault rifles while surrounding hasan while he murdered unarmed soldiers?
crankyhead - August 26, 2013, 8:17 am,
ST, you still haven't told me what this has to do with what we're talking about. I saw your little rant there about the state of aboriginal affairs in Canada, but that's not what we're talking about either. I'll address the new topic, after we've...
crankyhead - August 26, 2013, 8:17 am,
...settled the issue of the first topic, ok?
StoneTools - August 26, 2013, 11:50 am,
By the first topic, I guess you are referring to your bs about hasan being surrounded by heavily armed soldiers. You know the one where you pointed out a guy with a pistol and claimed it proved your crap to be true?!?!?
StoneTools - August 26, 2013, 11:50 am,
so, yes, let's settle that one first. Do you have the name of a "heavily armed soldier" who was part of the surrounding of hasan?
crankyhead - August 26, 2013, 8:02 pm,
Yes. I've given you that name several times now. Still flaunting that monopoly of yours, like it's something to be proud of, huh?
StoneTools - August 26, 2013, 11:18 pm,
No, you gave me the name of some guy with a pistol. He was neither heavily armed nor was he surrounding hasan. Try again.
crankyhead - August 27, 2013, 1:38 pm,
If he sh** and disabled the guy, he was both heavily armed, and surrounding him. Idiot.
StoneTools - August 27, 2013, 4:41 pm,
and you now claim that a pistol is an a**ault rifle? I really feel sorry for you cranky, you can't even tell a lie and back it up. You and renza make a perfect showcase for liberal stupidity
crankyhead - August 28, 2013, 11:54 am,
Your pity is misplaced.
StoneTools - August 28, 2013, 1:43 pm,
but you seem to thrive on people pitying you for your sad lack of intelligent, coherent thought. And I will admit that I do pity you, but more than that I pity your parents who hide in shame when people talk about you behind your back
crankyhead - August 29, 2013, 1:12 pm,
Says the xenophobic bigot who would still rather talk about my family, than engage me in a debate. Coward.
StoneTools - August 29, 2013, 2:06 pm,
you, a liberal, referring to others as bigots?!? That's a good one, you should post that on the comedy channel.
crankyhead - August 29, 2013, 9:39 pm,
Not others ST, just you.
StoneTools - September 6, 2013, 1:25 am,
say, cranky, let's talk about credibility: I can't remember you posting the names of any of the soldiers who were armed with a**ault rifles while they were surrounding hasan, Could you repost that link?
crankyhead - September 6, 2013, 3:19 pm,
I could, sure.
StoneTools - September 6, 2013, 4:12 pm,
here, i'll finish that for you: I could, sure, but I don't have one because I'm full of **** and not man enough to admit that the poster was bull****"
crankyhead - September 6, 2013, 4:30 pm,
Did you know that adults, who consistently finish other peoples thoughts and sentences for them, are generally thought to have a form of attention defecit disorder, and hyperactivity? How's that for some insight?
StoneTools - September 6, 2013, 5:24 pm,
did you know that people who cannot finish their own sentences are considered mentally challenged? Especially ones whose IQ is that of a 6 or 7 year old - Now who fits that bill - Why, you do cranky.
crankyhead - September 6, 2013, 9:40 pm,
You forgot the question mark, Shakespeare.
birddseedd - December 27, 2013, 1:32 pm,
zimmerman did not profile travon. travon was not a child. zimmerman did not shoot him because he was black, zimmerman sh** him because travon was litterally beating the life out of him. i would shoot someone trying to kill me too.
RonaldReagan - February 7, 2017, 1:01 am,
Steve Douglas. Now those we're the days. Before everything became one long reality tv blur. Are you listening, America?
Start new comment thread
Register in seconds...
or
Log In